Update a credit note
curl --request PATCH \
--url https://api.spacebring.com/billing/credit_notes/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"creditNote": {
"internalNote": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/billing/credit_notes/v1/{id}"
payload = { "creditNote": { "internalNote": "<string>" } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({creditNote: {internalNote: '<string>'}})
};
fetch('https://api.spacebring.com/billing/credit_notes/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Billing
Update a credit note
Update a credit note.
OAuth
Required scopes:invoicesPATCH
/
billing
/
credit_notes
/
v1
/
{id}
Update a credit note
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the credit note
Body
application/json
Credit note fields to update.
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I